
%define realname   Syntax-Highlight-Perl6
%define version    0.040
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl 6 Syntax Highlighter
Source:     http://www.cpan.org/modules/by-module/Syntax/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::Syck)

BuildArch: noarch

Provides: perl(STD)

%description
'Syntax::Highlight::Perl6' parses Perl 6 source code using an embedded
STD.pm. It matches parse tree nodes to colors then returns them in
different output formats. It can be used to create web pages with colorful
source code samples in its simple and snippet html modes, or it can be used
as a learning tool in examining STD.pm's output using the JavaScript node
viewer in its full html mode. Or you can use its parse tree Perl 5 records
to build your next great idea.

The available output formats are:

* *
      HTML (snippet,simple and full)

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/hilitep6
/usr/share/man/man1/hilitep6.1.lzma



%changelog
* Thu Feb 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.040-1mdv2009.1
+ Revision: 337755
- update to new version 0.040

* Sat Jan 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.039-1mdv2009.1
+ Revision: 335707
- update to new version 0.039

* Thu Jan 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.038-1mdv2009.1
+ Revision: 335171
- update to new version 0.038

* Mon Jan 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.035-1mdv2009.1
+ Revision: 333642
- update to new version 0.035

* Sun Jan 18 2009 Jérôme Quelin <jquelin@mandriva.org> 0.034-1mdv2009.1
+ Revision: 330874
- update to new version 0.034

* Wed Jan 14 2009 Jérôme Quelin <jquelin@mandriva.org> 0.033-1mdv2009.1
+ Revision: 329395
- update to new version 0.033

* Tue Jan 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.032-2mdv2009.1
+ Revision: 329139
- and for once, i didn't forget to bump mkrel
- adding provided module not detected (of course, it's a .pmc)

* Tue Jan 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.032-1mdv2009.1
+ Revision: 329115
- missing build require
- import perl-Syntax-Highlight-Perl6


* Tue Jan 13 2009 cpan2dist 0.032-1mdv
- initial mdv release, generated with cpan2dist

